package com.cirs.biz.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.cirs.common.annotation.Excel;
import com.cirs.common.core.domain.BaseEntity;

/**
 * 评价对象 t_evaluation
 * 
 * @author allen
 * @date 2023-11-03
 */
public class TEvaluation extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 编号 */
    private Long id;

    /** 查询条件 */
    @Excel(name = "查询条件")
    private String searchCondition;

    /** 元器件名称 */
    @Excel(name = "元器件编号")
    private String componentId;

    /** 评分 */
    @Excel(name = "评分")
    private Integer mark;

    /** 使用场景 */
    @Excel(name = "应用设备")
    private String usedBy;

    @Excel(name = "使用场景")
    private String useScene;

    public void setUseScene(String useScene){
        this.useScene = useScene;
    }

    public String getUseScene(){
        return this.useScene;
    }

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setSearchCondition(String searchCondition) 
    {
        this.searchCondition = searchCondition;
    }

    public String getSearchCondition() 
    {
        return searchCondition;
    }
    public void setComponentId(String componentId) 
    {
        this.componentId = componentId;
    }

    public String getComponentId() 
    {
        return componentId;
    }
    public void setMark(Integer mark) 
    {
        this.mark = mark;
    }

    public Integer getMark() 
    {
        return mark;
    }
    public void setUsedBy(String usedBy) 
    {
        this.usedBy = usedBy;
    }

    public String getUsedBy() 
    {
        return usedBy;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("searchCondition", getSearchCondition())
            .append("componentId", getComponentId())
            .append("mark", getMark())
            .append("usedBy", getUsedBy())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
